<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<configuration>

    <appender name="console-log" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <Pattern>%d{HH:mm:ss.SSS} [%X{login}] [req-%X{idRequete}] %-5level %logger{36} - %msg%n</Pattern>
        </encoder>
    </appender>

    <appender name="bo-log" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOG_DIR}/bo.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${LOG_DIR}/bo.%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>90</maxHistory>
        </rollingPolicy>
        <encoder>
            <Pattern>%d{yyyy-MM-dd_HH:mm:ss.SSS} [%X{login}] [req-%X{idRequete}] %-5level %logger{36} - %msg%n</Pattern>
            <immediateFlush>false</immediateFlush>
        </encoder>
    </appender>

    <appender name="event-log" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOG_DIR}/bo-event.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${LOG_DIR}/bo-event.%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>90</maxHistory>
        </rollingPolicy>
        <encoder>
            <Pattern>%d{yyyy-MM-dd_HH:mm:ss.SSS} %msg%n</Pattern>
            <immediateFlush>true</immediateFlush>
        </encoder>
    </appender>

    <appender name="exceptions-log" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOG_DIR}/bo-exceptions.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${LOG_DIR}/bo-exceptions.%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>90</maxHistory>
        </rollingPolicy>
        <encoder>
            <Pattern>%d{yyyy-MM-dd_HH:mm:ss.SSS} [%X{login}] [req-%X{idRequete}] %-5level %logger{36} - %msg%n</Pattern>
            <immediateFlush>true</immediateFlush>
        </encoder>
    </appender>

    <appender name="frontend-log" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOG_DIR}/frontend.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${LOG_DIR}/frontend.%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>90</maxHistory>
        </rollingPolicy>
        <encoder>
            <Pattern>%d{yyyy-MM-dd_HH:mm:ss.SSS} [%X{login}] %-5level %logger{36} - %msg%n</Pattern>
            <immediateFlush>true</immediateFlush>
        </encoder>
    </appender>

    <root level="INFO">
        <appender-ref ref="console-log"/>
        <appender-ref ref="bo-log"/>
    </root>

    <logger name="ch.ge.ve.bo" level="INFO">
        <appender-ref ref="bo-log"/>
    </logger>

    <logger name="bo-event" level="INFO" additivity="false">
        <appender-ref ref="event-log"/>
    </logger>

    <logger name="bo-exceptions" level="WARN" additivity="false">
        <appender-ref ref="console-log"/>
        <appender-ref ref="exceptions-log"/>
    </logger>

    <logger name="frontend" level="info" additivity="false">
        <appender-ref ref="console-log"/>
        <appender-ref ref="frontend-log"/>
    </logger>

    <!--

        <logger name="org.springframework.transaction" level="DEBUG">
            <appender-ref ref="console-log"/>
        </logger>

        <logger name="org.springframework.orm.jpa" level="DEBUG">
            <appender-ref ref="console-log"/>
        </logger>
        <logger name="org.hibernate.cache">
            <level value="TRACE"/>
            <appender-ref ref="console-log"/>
        </logger>
        <logger name="org.hibernate.SQL" level="trace" additivity="false">
            <appender-ref ref="console-log"/>
        </logger>
    -->

</configuration>
